/*
** FAAD2 - Freeware Advanced Audio (AAC) Decoder including SBR decoding
** Copyright (C) 2003-2005 M. Bakker, Nero AG, http://www.nero.com
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**
** Any non-GPL usage of this software or parts of this software is strictly
** forbidden.
**
** The "appropriate copyright message" mentioned in section 2c of the GPLv2
** must read: "Code from FAAD2 is copyright (c) Nero AG, www.nero.com"
**
** Commercial non-GPL licensing of this software is possible.
** For more info contact Nero AG through Mpeg4AAClicense@nero.com.
**
** $Id: hcb_9.h,v 1.5 2007/11/01 12:34:11 menno Exp $
**/

/* Binary search huffman table HCB_9 */


static const hcb_bin_pair hcb9[337] = {
    { /*   0 */ 0, { 1, 2 } },
    { /*   1 */ 1, { 0, 0 } },
    { /*   2 */ 0, { 1, 2 } },
    { /*   3 */ 0, { 2, 3 } },
    { /*   4 */ 0, { 3, 4 } },
    { /*   5 */ 1, { 1,  0 } },
    { /*   6 */ 1, { 0,  1 } },
    { /*   7 */ 0, { 2, 3 } },
    { /*   8 */ 0, { 3, 4 } },
    { /*   9 */ 1, { 1,  1 } },
    { /*  10 */ 0, { 3, 4 } },
    { /*  11 */ 0, { 4, 5 } },
    { /*  12 */ 0, { 5, 6 } },
    { /*  13 */ 0, { 6, 7 } },
    { /*  14 */ 0, { 7, 8 } },
    { /*  15 */ 0, { 8, 9 } },
    { /*  16 */ 0, { 9, 10 } },
    { /*  17 */ 0, { 10, 11 } },
    { /*  18 */ 0, { 11, 12 } },
    { /*  19 */ 1, { 2,  1 } },
    { /*  20 */ 1, { 1,  2 } },
    { /*  21 */ 1, { 2,  0 } },
    { /*  22 */ 1, { 0,  2 } },
    { /*  23 */ 0, { 8, 9 } },
    { /*  24 */ 0, { 9, 10 } },
    { /*  25 */ 0, { 10, 11 } },
    { /*  26 */ 0, { 11, 12 } },
    { /*  27 */ 0, { 12, 13 } },
    { /*  28 */ 0, { 13, 14 } },
    { /*  29 */ 0, { 14, 15 } },
    { /*  30 */ 0, { 15, 16 } },
    { /*  31 */ 1, { 3,  1 } },
    { /*  32 */ 1, { 2,  2 } },
    { /*  33 */ 1, { 1,  3 } },
    { /*  34 */ 0, { 13, 14 } },
    { /*  35 */ 0, { 14, 15 } },
    { /*  36 */ 0, { 15, 16 } },
    { /*  37 */ 0, { 16, 17 } },
    { /*  38 */ 0, { 17, 18 } },
    { /*  39 */ 0, { 18, 19 } },
    { /*  40 */ 0, { 19, 20 } },
    { /*  41 */ 0, { 20, 21 } },
    { /*  42 */ 0, { 21, 22 } },
    { /*  43 */ 0, { 22, 23 } },
    { /*  44 */ 0, { 23, 24 } },
    { /*  45 */ 0, { 24, 25 } },
    { /*  46 */ 0, { 25, 26 } },
    { /*  47 */ 1, { 3,  0 } },
    { /*  48 */ 1, { 0,  3 } },
    { /*  49 */ 1, { 2,  3 } },
    { /*  50 */ 1, { 3,  2 } },
    { /*  51 */ 1, { 1,  4 } },
    { /*  52 */ 1, { 4,  1 } },
    { /*  53 */ 1, { 2,  4 } },
    { /*  54 */ 1, { 1,  5 } },
    { /*  55 */ 0, { 18, 19 } },
    { /*  56 */ 0, { 19, 20 } },
    { /*  57 */ 0, { 20, 21 } },
    { /*  58 */ 0, { 21, 22 } },
    { /*  59 */ 0, { 22, 23 } },
    { /*  60 */ 0, { 23, 24 } },
    { /*  61 */ 0, { 24, 25 } },
    { /*  62 */ 0, { 25, 26 } },
    { /*  63 */ 0, { 26, 27 } },
    { /*  64 */ 0, { 27, 28 } },
    { /*  65 */ 0, { 28, 29 } },
    { /*  66 */ 0, { 29, 30 } },
    { /*  67 */ 0, { 30, 31 } },
    { /*  68 */ 0, { 31, 32 } },
    { /*  69 */ 0, { 32, 33 } },
    { /*  70 */ 0, { 33, 34 } },
    { /*  71 */ 0, { 34, 35 } },
    { /*  72 */ 0, { 35, 36 } },
    { /*  73 */ 1, { 4,  2 } },
    { /*  74 */ 1, { 3,  3 } },
    { /*  75 */ 1, { 0,  4 } },
    { /*  76 */ 1, { 4,  0 } },
    { /*  77 */ 1, { 5,  1 } },
    { /*  78 */ 1, { 2,  5 } },
    { /*  79 */ 1, { 1,  6 } },
    { /*  80 */ 1, { 3,  4 } },
    { /*  81 */ 1, { 5,  2 } },
    { /*  82 */ 1, { 6,  1 } },
    { /*  83 */ 1, { 4,  3 } },
    { /*  84 */ 0, { 25, 26 } },
    { /*  85 */ 0, { 26, 27 } },
    { /*  86 */ 0, { 27, 28 } },
    { /*  87 */ 0, { 28, 29 } },
    { /*  88 */ 0, { 29, 30 } },
    { /*  89 */ 0, { 30, 31 } },
    { /*  90 */ 0, { 31, 32 } },
    { /*  91 */ 0, { 32, 33 } },
    { /*  92 */ 0, { 33, 34 } },
    { /*  93 */ 0, { 34, 35 } },
    { /*  94 */ 0, { 35, 36 } },
    { /*  95 */ 0, { 36, 37 } },
    { /*  96 */ 0, { 37, 38 } },
    { /*  97 */ 0, { 38, 39 } },
    { /*  98 */ 0, { 39, 40 } },
    { /*  99 */ 0, { 40, 41 } },
    { /* 100 */ 0, { 41, 42 } },
    { /* 101 */ 0, { 42, 43 } },
    { /* 102 */ 0, { 43, 44 } },
    { /* 103 */ 0, { 44, 45 } },
    { /* 104 */ 0, { 45, 46 } },
    { /* 105 */ 0, { 46, 47 } },
    { /* 106 */ 0, { 47, 48 } },
    { /* 107 */ 0, { 48, 49 } },
    { /* 108 */ 0, { 49, 50 } },
    { /* 109 */ 1, { 0,  5 } },
    { /* 110 */ 1, { 2,  6 } },
    { /* 111 */ 1, { 5,  0 } },
    { /* 112 */ 1, { 1,  7 } },
    { /* 113 */ 1, { 3,  5 } },
    { /* 114 */ 1, { 1,  8 } },
    { /* 115 */ 1, { 8,  1 } },
    { /* 116 */ 1, { 4,  4 } },
    { /* 117 */ 1, { 5,  3 } },
    { /* 118 */ 1, { 6,  2 } },
    { /* 119 */ 1, { 7,  1 } },
    { /* 120 */ 1, { 0,  6 } },
    { /* 121 */ 1, { 8,  2 } },
    { /* 122 */ 1, { 2,  8 } },
    { /* 123 */ 1, { 3,  6 } },
    { /* 124 */ 1, { 2,  7 } },
    { /* 125 */ 1, { 4,  5 } },
    { /* 126 */ 1, { 9,  1 } },
    { /* 127 */ 1, { 1,  9 } },
    { /* 128 */ 1, { 7,  2 } },
    { /* 129 */ 0, { 30, 31 } },
    { /* 130 */ 0, { 31, 32 } },
    { /* 131 */ 0, { 32, 33 } },
    { /* 132 */ 0, { 33, 34 } },
    { /* 133 */ 0, { 34, 35 } },
    { /* 134 */ 0, { 35, 36 } },
    { /* 135 */ 0, { 36, 37 } },
    { /* 136 */ 0, { 37, 38 } },
    { /* 137 */ 0, { 38, 39 } },
    { /* 138 */ 0, { 39, 40 } },
    { /* 139 */ 0, { 40, 41 } },
    { /* 140 */ 0, { 41, 42 } },
    { /* 141 */ 0, { 42, 43 } },
    { /* 142 */ 0, { 43, 44 } },
    { /* 143 */ 0, { 44, 45 } },
    { /* 144 */ 0, { 45, 46 } },
    { /* 145 */ 0, { 46, 47 } },
    { /* 146 */ 0, { 47, 48 } },
    { /* 147 */ 0, { 48, 49 } },
    { /* 148 */ 0, { 49, 50 } },
    { /* 149 */ 0, { 50, 51 } },
    { /* 150 */ 0, { 51, 52 } },
    { /* 151 */ 0, { 52, 53 } },
    { /* 152 */ 0, { 53, 54 } },
    { /* 153 */ 0, { 54, 55 } },
    { /* 154 */ 0, { 55, 56 } },
    { /* 155 */ 0, { 56, 57 } },
    { /* 156 */ 0, { 57, 58 } },
    { /* 157 */ 0, { 58, 59 } },
    { /* 158 */ 0, { 59, 60 } },
    { /* 159 */ 1, {  6,  0 } },
    { /* 160 */ 1, {  5,  4 } },
    { /* 161 */ 1, {  6,  3 } },
    { /* 162 */ 1, {  8,  3 } },
    { /* 163 */ 1, {  0,  7 } },
    { /* 164 */ 1, {  9,  2 } },
    { /* 165 */ 1, {  3,  8 } },
    { /* 166 */ 1, {  4,  6 } },
    { /* 167 */ 1, {  3,  7 } },
    { /* 168 */ 1, {  0,  8 } },
    { /* 169 */ 1, { 10,  1 } },
    { /* 170 */ 1, {  6,  4 } },
    { /* 171 */ 1, {  2,  9 } },
    { /* 172 */ 1, {  5,  5 } },
    { /* 173 */ 1, {  8,  0 } },
    { /* 174 */ 1, {  7,  0 } },
    { /* 175 */ 1, {  7,  3 } },
    { /* 176 */ 1, { 10,  2 } },
    { /* 177 */ 1, {  9,  3 } },
    { /* 178 */ 1, {  8,  4 } },
    { /* 179 */ 1, {  1, 10 } },
    { /* 180 */ 1, {  7,  4 } },
    { /* 181 */ 1, {  6,  5 } },
    { /* 182 */ 1, {  5,  6 } },
    { /* 183 */ 1, {  4,  8 } },
    { /* 184 */ 1, {  4,  7 } },
    { /* 185 */ 1, {  3,  9 } },
    { /* 186 */ 1, { 11,  1 } },
    { /* 187 */ 1, {  5,  8 } },
    { /* 188 */ 1, {  9,  0 } },
    { /* 189 */ 1, {  8,  5 } },
    { /* 190 */ 0, { 29, 30 } },
    { /* 191 */ 0, { 30, 31 } },
    { /* 192 */ 0, { 31, 32 } },
    { /* 193 */ 0, { 32, 33 } },
    { /* 194 */ 0, { 33, 34 } },
    { /* 195 */ 0, { 34, 35 } },
    { /* 196 */ 0, { 35, 36 } },
    { /* 197 */ 0, { 36, 37 } },
    { /* 198 */ 0, { 37, 38 } },
    { /* 199 */ 0, { 38, 39 } },
    { /* 200 */ 0, { 39, 40 } },
    { /* 201 */ 0, { 40, 41 } },
    { /* 202 */ 0, { 41, 42 } },
    { /* 203 */ 0, { 42, 43 } },
    { /* 204 */ 0, { 43, 44 } },
    { /* 205 */ 0, { 44, 45 } },
    { /* 206 */ 0, { 45, 46 } },
    { /* 207 */ 0, { 46, 47 } },
    { /* 208 */ 0, { 47, 48 } },
    { /* 209 */ 0, { 48, 49 } },
    { /* 210 */ 0, { 49, 50 } },
    { /* 211 */ 0, { 50, 51 } },
    { /* 212 */ 0, { 51, 52 } },
    { /* 213 */ 0, { 52, 53 } },
    { /* 214 */ 0, { 53, 54 } },
    { /* 215 */ 0, { 54, 55 } },
    { /* 216 */ 0, { 55, 56 } },
    { /* 217 */ 0, { 56, 57 } },
    { /* 218 */ 0, { 57, 58 } },
    { /* 219 */ 1, { 10,  3 } },
    { /* 220 */ 1, {  2, 10 } },
    { /* 221 */ 1, {  0,  9 } },
    { /* 222 */ 1, { 11,  2 } },
    { /* 223 */ 1, {  9,  4 } },
    { /* 224 */ 1, {  6,  6 } },
    { /* 225 */ 1, { 12,  1 } },
    { /* 226 */ 1, {  4,  9 } },
    { /* 227 */ 1, {  8,  6 } },
    { /* 228 */ 1, {  1, 11 } },
    { /* 229 */ 1, {  9,  5 } },
    { /* 230 */ 1, { 10,  4 } },
    { /* 231 */ 1, {  5,  7 } },
    { /* 232 */ 1, {  7,  5 } },
    { /* 233 */ 1, {  2, 11 } },
    { /* 234 */ 1, {  1, 12 } },
    { /* 235 */ 1, { 12,  2 } },
    { /* 236 */ 1, { 11,  3 } },
    { /* 237 */ 1, {  3, 10 } },
    { /* 238 */ 1, {  5,  9 } },
    { /* 239 */ 1, {  6,  7 } },
    { /* 240 */ 1, {  8,  7 } },
    { /* 241 */ 1, { 11,  4 } },
    { /* 242 */ 1, {  0, 10 } },
    { /* 243 */ 1, {  7,  6 } },
    { /* 244 */ 1, { 12,  3 } },
    { /* 245 */ 1, { 10,  0 } },
    { /* 246 */ 1, { 10,  5 } },
    { /* 247 */ 1, {  4, 10 } },
    { /* 248 */ 1, {  6,  8 } },
    { /* 249 */ 1, {  2, 12 } },
    { /* 250 */ 1, {  9,  6 } },
    { /* 251 */ 1, {  9,  7 } },
    { /* 252 */ 1, {  4, 11 } },
    { /* 253 */ 1, { 11,  0 } },
    { /* 254 */ 1, {  6,  9 } },
    { /* 255 */ 1, {  3, 11 } },
    { /* 256 */ 1, {  5, 10 } },
    { /* 257 */ 0, { 20, 21 } },
    { /* 258 */ 0, { 21, 22 } },
    { /* 259 */ 0, { 22, 23 } },
    { /* 260 */ 0, { 23, 24 } },
    { /* 261 */ 0, { 24, 25 } },
    { /* 262 */ 0, { 25, 26 } },
    { /* 263 */ 0, { 26, 27 } },
    { /* 264 */ 0, { 27, 28 } },
    { /* 265 */ 0, { 28, 29 } },
    { /* 266 */ 0, { 29, 30 } },
    { /* 267 */ 0, { 30, 31 } },
    { /* 268 */ 0, { 31, 32 } },
    { /* 269 */ 0, { 32, 33 } },
    { /* 270 */ 0, { 33, 34 } },
    { /* 271 */ 0, { 34, 35 } },
    { /* 272 */ 0, { 35, 36 } },
    { /* 273 */ 0, { 36, 37 } },
    { /* 274 */ 0, { 37, 38 } },
    { /* 275 */ 0, { 38, 39 } },
    { /* 276 */ 0, { 39, 40 } },
    { /* 277 */ 1, {  8,  8 } },
    { /* 278 */ 1, {  7,  8 } },
    { /* 279 */ 1, { 12,  5 } },
    { /* 280 */ 1, {  3, 12 } },
    { /* 281 */ 1, { 11,  5 } },
    { /* 282 */ 1, {  7,  7 } },
    { /* 283 */ 1, { 12,  4 } },
    { /* 284 */ 1, { 11,  6 } },
    { /* 285 */ 1, { 10,  6 } },
    { /* 286 */ 1, {  4, 12 } },
    { /* 287 */ 1, {  7,  9 } },
    { /* 288 */ 1, {  5, 11 } },
    { /* 289 */ 1, {  0, 11 } },
    { /* 290 */ 1, { 12,  6 } },
    { /* 291 */ 1, {  6, 10 } },
    { /* 292 */ 1, { 12,  0 } },
    { /* 293 */ 1, { 10,  7 } },
    { /* 294 */ 1, {  5, 12 } },
    { /* 295 */ 1, {  7, 10 } },
    { /* 296 */ 1, {  9,  8 } },
    { /* 297 */ 1, {  0, 12 } },
    { /* 298 */ 1, { 11,  7 } },
    { /* 299 */ 1, {  8,  9 } },
    { /* 300 */ 1, {  9,  9 } },
    { /* 301 */ 1, { 10,  8 } },
    { /* 302 */ 1, {  7, 11 } },
    { /* 303 */ 1, { 12,  7 } },
    { /* 304 */ 1, {  6, 11 } },
    { /* 305 */ 1, {  8, 11 } },
    { /* 306 */ 1, { 11,  8 } },
    { /* 307 */ 1, {  7, 12 } },
    { /* 308 */ 1, {  6, 12 } },
    { /* 309 */ 0, { 8, 9 } },
    { /* 310 */ 0, { 9, 10 } },
    { /* 311 */ 0, { 10, 11 } },
    { /* 312 */ 0, { 11, 12 } },
    { /* 313 */ 0, { 12, 13 } },
    { /* 314 */ 0, { 13, 14 } },
    { /* 315 */ 0, { 14, 15 } },
    { /* 316 */ 0, { 15, 16 } },
    { /* 317 */ 1, {  8, 10 } },
    { /* 318 */ 1, { 10,  9 } },
    { /* 319 */ 1, {  8, 12 } },
    { /* 320 */ 1, {  9, 10 } },
    { /* 321 */ 1, {  9, 11 } },
    { /* 322 */ 1, {  9, 12 } },
    { /* 323 */ 1, { 10, 11 } },
    { /* 324 */ 1, { 12,  9 } },
    { /* 325 */ 1, { 10, 10 } },
    { /* 326 */ 1, { 11,  9 } },
    { /* 327 */ 1, { 12,  8 } },
    { /* 328 */ 1, { 11, 10 } },
    { /* 329 */ 1, { 12, 10 } },
    { /* 330 */ 1, { 12, 11 } },
    { /* 331 */ 0, { 2, 3 } },
    { /* 332 */ 0, { 3, 4 } },
    { /* 333 */ 1, { 10, 12 } },
    { /* 334 */ 1, { 11, 11 } },
    { /* 335 */ 1, { 11, 12 } },
    { /* 336 */ 1, { 12, 12 } }
};
